Subject: Re: linux-next: build failure after merge of the sound tree

From: Takashi Iwai <[email-masked]>
Date: Wed, 24 May 2023 09:14:34 +0200

On Wed, 24 May 2023 05:54:48 +0200,
Stephen Rothwell wrote:
> 
> Hi all,
> 
> After merging the sound tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
> 
> In file included from sound/core/seq/seq_ump_convert.c:11:
> include/sound/ump_msg.h:196:13: error: duplicate member 'reserved'
>   196 |         u32 reserved:8;
>       |             ^~~~~~~~
> include/sound/ump_msg.h:197:13: error: duplicate member 'program'
>   197 |         u32 program:8;
>       |             ^~~~~~~
> include/sound/ump_msg.h:198:13: error: duplicate member 'channel'
>   198 |         u32 channel:4;
>       |             ^~~~~~~
> include/sound/ump_msg.h:199:13: error: duplicate member 'status'
>   199 |         u32 status:4;
>       |             ^~~~~~
> include/sound/ump_msg.h:200:13: error: duplicate member 'group'
>   200 |         u32 group:4;
>       |             ^~~~~
> include/sound/ump_msg.h:201:13: error: duplicate member 'type'
>   201 |         u32 type:4;
>       |             ^~~~
> 
> Caused by commit
> 
>   0b5288f5fe63 ("ALSA: ump: Add legacy raw MIDI support")
> 
> I have applied the following fix patch for today.
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Wed, 24 May 2023 13:39:38 +1000
> Subject: [PATCH] fix up for "ALSA: ump: Add legacy raw MIDI support"
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>

Thanks!  This was a late change and I have skipped testing big-endian
since then, as it seems...

I queued up your fix patch.

Takashi

> ---
>  include/sound/ump_msg.h | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/include/sound/ump_msg.h b/include/sound/ump_msg.h
> index c76c39944a5f..a594ef951b54 100644
> --- a/include/sound/ump_msg.h
> +++ b/include/sound/ump_msg.h
> @@ -192,13 +192,13 @@ struct snd_ump_midi1_msg_program {
>  	u32 program:8;
>  	u32 reserved:8;
>  #else
> -#endif
>  	u32 reserved:8;
>  	u32 program:8;
>  	u32 channel:4;
>  	u32 status:4;
>  	u32 group:4;
>  	u32 type:4;
> +#endif
>  } __packed;
>  
>  /* MIDI 1.0 Channel Pressure (32bit) */
> -- 
> 2.39.2
> 
> -- 
> Cheers,
> Stephen Rothwell